Open CASCADE Technology: IntPatch_TheIWalking Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
IntPatch_TheIWalking Class Reference

`#include <IntPatch_TheIWalking.hxx>`

## Public Member Functions
| IntPatch_TheIWalking (const Standard_Real Epsilon, const Standard_Real Deflection, const Standard_Real Step)
void | SetTolerance (const Standard_Real Epsilon, const Standard_Real Deflection, const Standard_Real Step)
void | Perform (const IntSurf_SequenceOfPathPoint &Pnts1, const IntSurf_SequenceOfInteriorPoint &Pnts2, IntPatch_TheSurfFunction &Func, const Handle< Adaptor3d_HSurface > &S, const Standard_Boolean Reversed=Standard_False)
void | Perform (const IntSurf_SequenceOfPathPoint &Pnts1, IntPatch_TheSurfFunction &Func, const Handle< Adaptor3d_HSurface > &S, const Standard_Boolean Reversed=Standard_False)
Standard_Boolean | IsDone () const
Standard_Integer | NbLines () const
const Handle < IntPatch_TheIWLineOfTheIWalking > & | Value (const Standard_Integer Index) const
Standard_Integer | NbSinglePnts () const
const IntSurf_PathPoint & | SinglePnt (const Standard_Integer Index) const

## Protected Member Functions
Standard_Boolean | Cadrage (math_Vector &BornInf, math_Vector &BornSup, math_Vector &UVap, Standard_Real &Step, const Standard_Integer StepSign) const
Standard_Boolean | TestArretPassage (const TColStd_SequenceOfReal &Umult, const TColStd_SequenceOfReal &Vmult, IntPatch_TheSurfFunction &Section, math_Vector &UV, Standard_Integer &Irang)
Standard_Boolean | TestArretPassage (const TColStd_SequenceOfReal &Umult, const TColStd_SequenceOfReal &Vmult, const math_Vector &UV, const Standard_Integer Index, Standard_Integer &Irang)
Standard_Boolean | TestArretAjout (IntPatch_TheSurfFunction &Section, math_Vector &UV, Standard_Integer &Irang, IntSurf_PntOn2S &PSol)
void | TestArretCadre (const TColStd_SequenceOfReal &Umult, const TColStd_SequenceOfReal &Vmult, const Handle< IntPatch_TheIWLineOfTheIWalking > &Line, IntPatch_TheSurfFunction &Section, math_Vector &UV, Standard_Integer &Irang)
IntWalk_StatusDeflection | TestDeflection (IntPatch_TheSurfFunction &Section, const Standard_Boolean Finished, const math_Vector &UV, const IntWalk_StatusDeflection StatusPrecedent, Standard_Integer &NbDivision, Standard_Real &Step, const Standard_Integer StepSign)
void | ComputeOpenLine (const TColStd_SequenceOfReal &Umult, const TColStd_SequenceOfReal &Vmult, const IntSurf_SequenceOfPathPoint &Pnts1, IntPatch_TheSurfFunction &Section, Standard_Boolean &Rajout)
void | OpenLine (const Standard_Integer N, const IntSurf_PntOn2S &Psol, const IntSurf_SequenceOfPathPoint &Pnts1, IntPatch_TheSurfFunction &Section, const Handle< IntPatch_TheIWLineOfTheIWalking > &Line)
void | ComputeCloseLine (const TColStd_SequenceOfReal &Umult, const TColStd_SequenceOfReal &Vmult, const IntSurf_SequenceOfPathPoint &Pnts1, const IntSurf_SequenceOfInteriorPoint &Pnts2, IntPatch_TheSurfFunction &Section, Standard_Boolean &Rajout)
void | AddPointInCurrentLine (const Standard_Integer N, const IntSurf_PathPoint &PathPnt, const Handle< IntPatch_TheIWLineOfTheIWalking > &CurrentLine) const
void | MakeWalkingPoint (const Standard_Integer Case, const Standard_Real U, const Standard_Real V, IntPatch_TheSurfFunction &Section, IntSurf_PntOn2S &Psol)
void | Clear ()

## Constructor & Destructor Documentation

IntPatch_TheIWalking::IntPatch_TheIWalking | ( | const Standard_Real | Epsilon,
|  | const Standard_Real | Deflection,
|  | const Standard_Real | Step
| ) |  |

## Member Function Documentation

void IntPatch_TheIWalking::AddPointInCurrentLine | ( | const Standard_Integer | N,
|  | const IntSurf_PathPoint & | PathPnt,
|  | const Handle< IntPatch_TheIWLineOfTheIWalking > & | CurrentLine
| ) |  | const
| protected

Standard_Boolean IntPatch_TheIWalking::Cadrage | ( | math_Vector & | BornInf,
|  | math_Vector & | BornSup,
|  | math_Vector & | UVap,
|  | Standard_Real & | Step,
|  | const Standard_Integer | StepSign
| ) |  | const
| protected

void IntPatch_TheIWalking::Clear | ( |  | ) |
| protected

void IntPatch_TheIWalking::ComputeCloseLine | ( | const TColStd_SequenceOfReal & | Umult,
|  | const TColStd_SequenceOfReal & | Vmult,
|  | const IntSurf_SequenceOfPathPoint & | Pnts1,
|  | const IntSurf_SequenceOfInteriorPoint & | Pnts2,
|  | IntPatch_TheSurfFunction & | Section,
|  | Standard_Boolean & | Rajout
| ) |  |
| protected

void IntPatch_TheIWalking::ComputeOpenLine | ( | const TColStd_SequenceOfReal & | Umult,
|  | const TColStd_SequenceOfReal & | Vmult,
|  | const IntSurf_SequenceOfPathPoint & | Pnts1,
|  | IntPatch_TheSurfFunction & | Section,
|  | Standard_Boolean & | Rajout
| ) |  |
| protected

Standard_Boolean IntPatch_TheIWalking::IsDone | ( |  | ) | const

void IntPatch_TheIWalking::MakeWalkingPoint | ( | const Standard_Integer | Case,
|  | const Standard_Real | U,
|  | const Standard_Real | V,
|  | IntPatch_TheSurfFunction & | Section,
|  | IntSurf_PntOn2S & | Psol
| ) |  |
| protected

Standard_Integer IntPatch_TheIWalking::NbLines | ( |  | ) | const

Standard_Integer IntPatch_TheIWalking::NbSinglePnts | ( |  | ) | const

void IntPatch_TheIWalking::OpenLine | ( | const Standard_Integer | N,
|  | const IntSurf_PntOn2S & | Psol,
|  | const IntSurf_SequenceOfPathPoint & | Pnts1,
|  | IntPatch_TheSurfFunction & | Section,
|  | const Handle< IntPatch_TheIWLineOfTheIWalking > & | Line
| ) |  |
| protected

void IntPatch_TheIWalking::Perform | ( | const IntSurf_SequenceOfPathPoint & | Pnts1,
|  | const IntSurf_SequenceOfInteriorPoint & | Pnts2,
|  | IntPatch_TheSurfFunction & | Func,
|  | const Handle< Adaptor3d_HSurface > & | S,
|  | const Standard_Boolean | Reversed = `Standard_False`
| ) |  |

void IntPatch_TheIWalking::Perform | ( | const IntSurf_SequenceOfPathPoint & | Pnts1,
|  | IntPatch_TheSurfFunction & | Func,
|  | const Handle< Adaptor3d_HSurface > & | S,
|  | const Standard_Boolean | Reversed = `Standard_False`
| ) |  |

void IntPatch_TheIWalking::SetTolerance | ( | const Standard_Real | Epsilon,
|  | const Standard_Real | Deflection,
|  | const Standard_Real | Step
| ) |  |

const IntSurf_PathPoint& IntPatch_TheIWalking::SinglePnt | ( | const Standard_Integer | Index | ) | const

Standard_Boolean IntPatch_TheIWalking::TestArretAjout | ( | IntPatch_TheSurfFunction & | Section,
|  | math_Vector & | UV,
|  | Standard_Integer & | Irang,
|  | IntSurf_PntOn2S & | PSol
| ) |  |
| protected

void IntPatch_TheIWalking::TestArretCadre | ( | const TColStd_SequenceOfReal & | Umult,
|  | const TColStd_SequenceOfReal & | Vmult,
|  | const Handle< IntPatch_TheIWLineOfTheIWalking > & | Line,
|  | IntPatch_TheSurfFunction & | Section,
|  | math_Vector & | UV,
|  | Standard_Integer & | Irang
| ) |  |
| protected

Standard_Boolean IntPatch_TheIWalking::TestArretPassage | ( | const TColStd_SequenceOfReal & | Umult,
|  | const TColStd_SequenceOfReal & | Vmult,
|  | IntPatch_TheSurfFunction & | Section,
|  | math_Vector & | UV,
|  | Standard_Integer & | Irang
| ) |  |
| protected

Standard_Boolean IntPatch_TheIWalking::TestArretPassage | ( | const TColStd_SequenceOfReal & | Umult,
|  | const TColStd_SequenceOfReal & | Vmult,
|  | const math_Vector & | UV,
|  | const Standard_Integer | Index,
|  | Standard_Integer & | Irang
| ) |  |
| protected

IntWalk_StatusDeflection IntPatch_TheIWalking::TestDeflection | ( | IntPatch_TheSurfFunction & | Section,
|  | const Standard_Boolean | Finished,
|  | const math_Vector & | UV,
|  | const IntWalk_StatusDeflection | StatusPrecedent,
|  | Standard_Integer & | NbDivision,
|  | Standard_Real & | Step,
|  | const Standard_Integer | StepSign
| ) |  |
| protected

const Handle< IntPatch_TheIWLineOfTheIWalking >& IntPatch_TheIWalking::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- IntPatch_TheIWalking.hxx